Name: fritzing
Version: 0.8.7
Release: %mkrel -c beta20140124 4
Summary: Electronic Design Automation software; from prototype to product
License: GPLv3+, CC-BY-SA
Group: Sciences/Other
Url: http://fritzing.org
Source0: http://fritzing.org/download/%{version}b/source-tarball/%{name}-%{version}b.source.tar.bz2
Source1: %{name}.desktop
Patch0: %{name}-disable-autoupdate-fdr.patch

BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  desktop-file-utils
BuildRequires:  boost-devel
BuildRequires:  quazip-devel
BuildRequires:  pkgconfig(minizip)

%description
Fritzing is an open-source initiative to support designers, artists,
researchers and hobbyists to take the step from physical prototyping
to actual product. It is in the spirit of Processing and Arduino which
allows users to document their Arduino and other electronic-based
prototypes, and to create a PCB layout for manufacturing.

%prep
%setup -q -n %{name}-%{version}b.source
rm -f pri/quazip.pri
rm -rf src/lib/quazip

sed -i 's/\r//' README.txt
sed -i 's/\r//' LICENSE.CC-BY-SA

%patch0 -p1 -b .disable-updates

%build
CXXFLAGS="%{optflags}"
%qmake_qt4 DEFINES=QUAZIP_INSTALLED
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

# A few files in /usr/share/fritzing end up executable.
find %{buildroot}%{_datadir}/%{name} -type f -exec %{__chmod} 644 {} \;
find %{buildroot}%{_datadir}/%{name} -type d -exec %{__chmod} 755 {} \;

# Icon is dumped in /usr/share/icons by default, need to move it.
mv %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

ln -s %{_bindir}/Fritzing %{buildroot}%{_bindir}/%{name}

%files
%doc README.txt LICENSE.GPL2 LICENSE.GPL3 LICENSE.CC-BY-SA
%{_bindir}/Fritzing
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man?/*


%changelog
* Tue Jan 06 2015 alexl <alexl> 0.8.7-0.beta20140124.4.mga5
+ Revision: 808817
- changed GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.8.7-0.beta20140124.3.mga5
+ Revision: 749053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.7-0.beta20140124.2.mga5
+ Revision: 679360
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 0.8.7-0.beta20140124.1.mga5
+ Revision: 613998
- imported package fritzing

